Properties Methods Events Direct Link

    WindowGroup
      WindowMgr

# Class Ext.WindowMgr

Package: | Ext
Defined In: | WindowManager.js
Class: | WindowMgr
Extends: | WindowGroup

The default global window group that is available automatically. To have more than one group of windows with separate z-order stacks, create additional instances of Ext.WindowGroup as needed.
This class is a singleton and cannot be created directly.

## Public Properties

Property | Defined By
--- | ---
| zseed : Number The starting z-index for windows (defaults to 9000) | WindowGroup

## Public Methods

Method | Defined By
--- | ---

bringToFront( `String/Object win` ) : Boolean
Brings the specified window to the front of any other active windows.
Brings the specified window to the front of any other active windows.
Parameters:

- `win` : String/Object
  The id of the window or a Ext.Window instance

Returns:

- `Boolean`
  True if the dialog was brought to the front, else false if it was already in front

WindowGroup

each( `Function fn`, [`Object scope`] ) : void
Executes the specified function once for every window in the group, passing each window as the only parameter. Return...
Executes the specified function once for every window in the group, passing each window as the only parameter. Returning false from the function will stop the iteration.
Parameters:

- `fn` : Function
  The function to execute for each item
- `scope` : Object
  (optional) The scope in which to execute the function

Returns:

- `void`

WindowGroup

get( `String/Object id` ) : Ext.Window
Gets a registered window by id.
Gets a registered window by id.
Parameters:

- `id` : String/Object
  The id of the window or a Ext.Window instance

Returns:

- `Ext.Window`

WindowGroup

getActive() : Ext.Window
Gets the currently-active window in the group.
Gets the currently-active window in the group.
Parameters:

- None.

Returns:

- `Ext.Window`
  The active window

WindowGroup

getBy( `Function fn`, [`Object scope`] ) : Array
Returns zero or more windows in the group using the custom search function passed to this method. The function should...
Returns zero or more windows in the group using the custom search function passed to this method. The function should accept a single Ext.Window reference as its only argument and should return true if the window matches the search criteria, otherwise it should return false.
Parameters:

- `fn` : Function
  The search function
- `scope` : Object
  (optional) The scope in which to execute the function (defaults to the window that gets passed to the function if not specified)

Returns:

- `Array`
  An array of zero or more matching windows

WindowGroup

hideAll() : void
Hides all windows in the group.
Hides all windows in the group.
Parameters:

- None.

Returns:

- `void`

WindowGroup

sendToBack( `String/Object win` ) : Ext.Window
Sends the specified window to the back of other active windows.
Sends the specified window to the back of other active windows.
Parameters:

- `win` : String/Object
  The id of the window or a Ext.Window instance

Returns:

- `Ext.Window`
  The window

WindowGroup

## Public Events

This class has no public events.